#ifndef WIDGET_IDS_H
#define WIDGET_IDS_H

//----------------------------------------------------------------------
/**
 * Enumeration of the GUI widget IDs.
 */
enum WidgetIDs
{
  /** Used to terminate ID arrays. */
  BID_NULL = 0,

  /** Main menu widgets. */
  BID_MAIN_NEW,
  BID_MAIN_OPTIONS,
  BID_MAIN_CREDITS,
  BID_MAIN_QUIT,

  /** Quit menu widgets. */
  BID_QUIT_DO,
  BID_QUIT_DONT,
  
  /** New Game widgets. */
  BID_NEW_SINGLE,
  BID_NEW_MULTI,
  BID_NEW_BACK,

  /** Options widgets */
  BID_OPT_CTRL,
  BID_OPT_CUSTOM,
  BID_OPT_BACK,

	/** Controls config widgets */
	BID_CTRL_BACK,
	BID_CTRL_RESET
    
};

#endif // WIDGET_IDS_H
