#ifndef INGAME_MENU_H
#define INGAME_MENU_H

#include <pgwidget.h>
#include "Menu.h"

class IngameMenu : public Menu
{
    MENU_SINGLETON(Ingame);

  public:
    void eventShow();
    void eventHide();

  protected:

    PARAGUI_CALLBACK(onContinue);
    PARAGUI_CALLBACK(onCtrl);
    PARAGUI_CALLBACK(onSound);
    PARAGUI_CALLBACK(onBack);

    bool eventKeyDown(const SDL_KeyboardEvent *key);
};

#endif // INGAME_MENU_H
